/* 
    Created on : 26 Sep, 2017, 4:57:11 PM
    Author     : NE16T1213
*/

/*Style related to options */

/*#toolOptionsWrapper, #toolOutPutWrapper{*/
#toolResultWrapper, #directiveError{
    display: none;
}
.toolFontStyle{
    font-size: 1.1em;
    font-family: ProximaNova-Bold;
}
.directivesWrapper{
    max-height: 450px;
    overflow: scroll;
}
.importButton{
    color: white;
    border-radius: 4px !important;
    font-size: 24px !important;
}
/*#importSymbolWrapper{
    display: none;
}*/

.buttonStyles{
    font-family: ProximaNova-Regular;
    border-radius: 4px !important;
    font-size: 18px;
}
#getResult{
    font-family: ProximaNova-Regular;
    font-size: 18px !important;
    border-radius: 4px !important;
}
#importRobots:hover { 
    border: 1px solid #2f80ed !important;
}
#getResult:hover { 
    border: 1px solid #2f80ed !important;
}
#robotsTxtUrl{
    border-radius: 4px;
}
.lxrtool-refreshicon{
    margin: 0 1.5% 0 0 !important;
    font-size: 20px !important;
    vertical-align: middle;
    top: 0 !important;
}
toolInputWrapper .form-group{width:100%;float: left;position: relative}
#toolOptionsWrapper .input-group{width:100%;float: left;}
.form-group .icon {
    position: absolute;
    margin-left: 8px;
    top: 11px !important;
    z-index: 2;
    color: #E0E0E0;
    bottom: 0;
    right: 3%;
}
.toolOptions{
    font-size: 20px;
    font-family: ProximaNova-Bold;
    margin: 0 !important;
}
/*#addMoreDirective{
    background-color: #E5E5E5 !important;
    height: 50px !important;
    border-radius: 3px;
    width: auto;
    font-family: ProximaNova-Bold;
    padding: 2%;
}*/

.directiveLabel{
    text-align: left;
    padding-left: 1.9rem; 
}
.toolHelpInfo{
    font-family: ProximaNova-Regular;
    font-size: 1em;
    line-height: 30px;
    width: 40%;
    height: 60px;
}
.toolAddon{
    background:#fff;
    border-right: none;
    padding: 4px 0 4px 6px !important;
    vertical-align: middle;
}
.selectPicker{
    height: 46px !important;
    border-left: none !important;
    padding-left: 1rem !important;
    vertical-align: middle;
    font-family: ProximaNova-Regular;
    font-size: 1.1em !important;
}
#addDirective{
    color: #fff !important;
    width: 100% !important;
    background: #2f80ed;
    height: 44px;
    border-radius: 5px;
}
#specialAgentWrapper{
    display: none;
}
#specialUserAgentName{
    border-radius: 4px;
    font-family: ProximaNova-Regular;
    font-size: 1.1em;
}
.toolInput{
    font-size: 1.1px;
    font-family: ProximaNova-Bold; 
    border-radius: 4px; 
}
#directoryOrFilePath, #userAgentName{
    border-left: none !important;
}
#directoryOrFilePath{
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

/*styles related to manaully genereated directoryies*/
/*Paren row*/
/*#importDirectivesWrapper, #manuallyDirectivesWrapper*/
#siteMapWrapper{
    padding: 0.5% 1% 0 1%;
}
/*Each coloum of above parent row*/
.directiveWrapper{
/*    background: #F2F2F2;
    padding: 0.5% 0;
    margin: 0.5% 0 0 0;*/
}
.manaullyDirectiveField{
    border: 1px solid #BDBDBD;
    border-radius: 4px !important;
    font-size: 1em;
    color: #828282 !important;
    background: #fff;
}
.deleteDirectory{
    color:#BDBDBD;
    font-size: 1.5em;
}

.siteMapLabel{
    font-size: 1em;
    font-family: ProximaNova-Bold;
    color: #333333;
}
#sitemapUrl{
    min-width: 100%;
    border-radius: 4px;
    min-height: 60px;
    resize: none;
    font-size: 1em;
    font-family: ProximaNova-Regular;
    border: 1px solid #ccc !important;
}
#toolInputWrapper .form-control,
#toolResultWrapper .form-control,
#toolOptionsWrapper .form-control,
#toolButtonsWrapper .form-control {
    width: 100%;
    color: #4F4F4F;
    /*font-family: ProximaNova-Regular !important;*/
}
#toolButtonsWrapper{
    padding: 1% 0 0 0;    
}
#clearDirectory{
    background: #fff;
    height: 46px;
    font-family: ProximaNova-Regular;
    color: #EB5757;
    border: 1px solid #EB5757 !important;
    text-align: center;
}

.toolLabel{
    font-size: 1.2em;
    font-family: ProximaNova-Bold !important;
}
.panel-content{
    border: 1px solid #f5f5f5 !important;
}
#robotTxtContent{
    width:100%;
    margin:0 auto;
    min-height: 250px;
    padding:9px 0px 0px 7px;
    cursor: not-allowed;
    resize: none;
    border: 1px solid #f5f5f5;
}

/*#manuallyDirectivesWrapper .form-control,
#importDirectivesWrapper .form-control{
    margin: 1%;
}*/
.error{
    height: 26px;
    font-size: 1em;
    font-family: ProximaNova-Regular;
}
/*.hiddenscrollbars::-webkit-scrollbar { 
    display: none; 
}
.hiddenscrollbars{
     -moz-scrollbars-vertical:hidden;
     -moz-scrollbars-horizontal:hidden;
}*/
.removeWrapper{
    border-radius: 0 !important;
    background: none;
}
/*.removeWrapper:hover{
    background: #828282 !important;
    .deleteDirectory {
        color: red;
    }
}*/
.deleteDirectory:hover{
    color:red;
}
